Leffa Pose Transfer
統合
モデルID
leffa/pose-transfer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/leffa/pose-transfer?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"pose_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/leffa/pose-transfer?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"pose_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"pose_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/leffa/pose-transfer", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ja/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "leffa/pose-transfer",
"input": {
"pose_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
Doitong APIを通じてLeffa Pose Transferモデル(leffa/pose-transfer)を呼び出します。エージェント向けドキュメント: https://doitong.com/ja/developers/models/leffa/pose-transfer.md
POST https://api.doitong.ru/v1/run/leffa/pose-transfer?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"pose_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
レスポンスのステータスが"queued"または"running"の場合、"succeeded"になるまでGET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20をポーリングしてください。ファイルはoutputs[].urlにあります。同じボディでPOST https://api.doitong.ru/v1/quote/leffa/pose-transferを実行すると、実行前の正確な価格が返されます。
このリクエスト: $0.10 100 APIクレジット · ≈ ₽10.55 このページで実行
新しいAPIキーです。 これは今だけ表示され、コードと下記のAPIキー欄にすでに入力されています。秘密にしてください。ブラウザで実行されるコードに決して含めないでください。
リクエストを作成
コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。
POST
/run/leffa/pose-transfer?wait=20
見積もり → $0.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/leffa/pose-transfer?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"pose_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/leffa/pose-transfer?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"pose_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"pose_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/leffa/pose-transfer", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "leffa/pose-transfer",
"input": {
"pose_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
Leffa Pose Transferについて
参照画像をポーズのソースとして人物のポーズを変更します。`pose_image_url`と`person_image_url`の2つの画像URLを受け取り、1枚の画像を返します。`num_inference_steps`は1~50(デフォルト50)、`guidance_scale`は0~20です。出力はpngまたはjpegで、`seed`により結果を再現可能にできます。
パラメータ
名前型
デフォルト許可される値
説明
num_inference_steps任意
型integer
デフォルト50
1 – 50
実行する推論ステップ数。
seed任意
型integer | null
画像再現用のシード。画像を再現するには、シード、入力、モデルバージョンを変更しないでください。その条件では毎回同一の結果になります。
guidance_scale任意
型number
デフォルト2.5
0 – 20
画像生成が入力にどの程度忠実に従うかを制御するCFG(Classifier Free Guidance)スケール。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェック。安全でないと判定された画像の代わりに黒い画像を返します。true でチェックを有効にし、false では権限のあるアカウントのみ無効にできます。権限のないアカウントのリクエストは常にチェックされます。
output_format任意
型enum
デフォルトpng
jpegpng
結果の画像のファイル形式。
pose_image_url必須
型url · image
人物画像を指すURL。
person_image_url必須
型url · image
衣服の画像を指すURL。
必須
ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル
出力
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "leffa/pose-transfer",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 100,
"usd": "0.10",
"charged": 100,
"refunded": 0
},
"input": {
"pose_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
"person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"seed": 42,
"has_nsfw_concepts": false
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
- image
- object {url, content_type, file_name, file_size, width, height}出力として生成された画像。
- seed
- integer推論中に使用するシード。
- has_nsfw_concepts
- boolean画像内のNSFW概念の指標。
その他のLeffaバリアント
その他のモデル: 画像編集
AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/leffa/pose-transfer.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt






